## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Work around a circular dependency on snakemake and on
# python-snakemake-storage-plugin-http.
%bcond bootstrap 0
# We can’t run tests that access the network in koji, but this build
# conditional allows us to try them in local mock builds for added confidence:
#   fedpkg mockbuild --enable-network --with network_tests
%bcond network_tests 0

Name:           python-snakemake-interface-storage-plugins
Version:        3.5.0
Release:        %autorelease
Epoch:          1
Summary:        Stable interface for interactions between Snakemake and its storage plugins

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-interface-storage-plugins
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-interface-storage-plugins-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -L snakemake_interface_storage_plugins
%if %{with bootstrap}
# Some things can’t be imported because we don’t have snakemake.
BuildOption(check):     -e '*.registry*' -e '*.storage_object' -e '*.tests'
%endif

BuildArch:      noarch

%if %{without bootstrap}
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8
BuildRequires:  %{py3_dist snakemake-storage-plugin-http}
%endif

%global common_description %{expand:
This package provides a stable interface for interactions between Snakemake and
its storage plugins.}

%description %{common_description}


%package -n python3-snakemake-interface-storage-plugins
Summary:        %{summary}

%description -n python3-snakemake-interface-storage-plugins %{common_description}


%check -a
%if %{without bootstrap}
%if %{without network_tests}
# The following tests require network access:
k="${k-}${k+ and }not (TestTestStorageBase and test_storage)"
k="${k-}${k+ and }not (TestTestStorageBase and test_storage_not_existing)"
k="${k-}${k+ and }not (TestTestStorageBase and test_inventory)"
%endif

%pytest -k "${k-}" -v tests/tests.py
%endif


%files -n python3-snakemake-interface-storage-plugins -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu May 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1:3.5.0-4
- Remove manual BuildRequires on python3-devel, not needed with declarative
  buildsystem

* Thu May 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1:3.5.0-3
- F41+: Use the provisional pyproject declarative buildsystem

* Wed Mar 19 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1:3.5.0-2
- Bump release after revert/Epoch to ensure unique NVR

* Wed Mar 19 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1:3.5.0-1
- Revert "Update to 3.6.0"
- Release 3.6.0 is incompatible with snakemake 8.30.0.
- Introduce an Epoch

* Tue Mar 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.6.0-1
- Update to 3.6.0

* Sat Mar 15 2025 Packit <hello@packit.dev> - 3.5.0-1
- Update to 3.5.0 upstream release
- Resolves: rhbz#2351748

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 21 2024 Packit <hello@packit.dev> - 3.3.0-1
- Update to 3.3.0 upstream release
- Resolves: rhbz#2306508

* Thu Aug 15 2024 Packit <hello@packit.dev> - 3.2.4-1
- Update to 3.2.4 upstream release
- Resolves: rhbz#2305097

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jul 05 2024 Packit <hello@packit.dev> - 3.2.3-1
- Update to 3.2.3 upstream release
- Resolves: rhbz#2295975

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 3.2.2-3
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.2.2-2
- Bootstrap for Python 3.13

* Thu Apr 18 2024 Packit <hello@packit.dev> - 3.2.2-1
- Update to 3.2.2 upstream release
- Resolves: rhbz#2275830

* Tue Apr 16 2024 Packit <hello@packit.dev> - 3.2.1-1
- Update to 3.2.1 upstream release
- Resolves: rhbz#2275332

* Mon Apr 15 2024 Packit <hello@packit.dev> - 3.2.0-1
- Update to 3.2.0 upstream release
- Resolves: rhbz#2275104

* Fri Mar 08 2024 Packit <hello@packit.dev> - 3.1.1-1
- [packit] 3.1.1 upstream release
- Resolves rhbz#2268575

* Tue Feb 20 2024 Packit <hello@packit.dev> - 3.1.0-1
- [packit] 3.1.0 upstream release
- Resolves rhbz#2265047

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-3
- Non-bootstrap build

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-1
- Initial package (close RHBZ#2257676)
## END: Generated by rpmautospec
